Name:          rsync
Version:       3.1.2
Release:       1mamba
Summary:       An utility that provides fast incremental file transfer
Group:         Network/File Transfer
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://samba.anu.edu.au/rsync/
Source0:       http://samba.anu.edu.au/ftp/rsync/rsync-%{version}.tar.gz
Source1:       rsync-xinetd
Source2:       rsync-conf
Source3:       rsync-rsyncd_conf
Source4:       rsyncd-logrotate
Source5:       rsyncd.socket
Source6:       rsyncd@.service
Patch:         %{name}-2.6.9-cve_2007_4091.patch
Patch1:        %{name}-2.6.9-munge-symlinks.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpopt-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
rsync is a file transfer program for Unix systems.
rsync uses the "rsync algorithm" which provides a very fast method for bringing remote files into sync.
It does this by sending just the differences in the files across the link, without requiring that both sets of files are present at one of the ends of the link beforehand.

Some features of rsync include:
- can update whole directory trees and filesystems
- optionally preserves symbolic links, hard links, file ownership, permissions, devices and times
- requires no special privilages to install 
- internal pipelining reduces latency for multiple files 
- can use rsh, ssh or direct sockets as the transport 
- supports anonymous rsync which is ideal for mirroring 

%prep
%setup -q
#%patch -p1
#%patch1 -p1

%build
%configure
# FIXME: this is because lutimes is a kernel >= 2.6.22 call, this workaround
# should be removed in rsync 3.0
sed -i 's/#define HAVE_LUTIMES 1/#undef HAVE_LUTIMES/g' config.h

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

#install -D -m 600 %{S:1} %{buildroot}%{_sysconfdir}/xinetd.d/rsync
install -D -m 644 %{S:2} %{buildroot}%{_sysconfdir}/rsync.conf
install -D -m 644 %{S:3} %{buildroot}%{_sysconfdir}/rsyncd.conf
install -D -m 644 %{S:4} %{buildroot}%{_sysconfdir}/logrotate.d/rsyncd
install -D -m0644 %{S:5} %{buildroot}/lib/systemd/system/rsyncd.socket
install -D -m0644 %{S:6} %{buildroot}/lib/systemd/system/rsyncd@.service

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%posttrans
systemctl -q daemon-reload
:

%files
%defattr(-,root,root)
%{_bindir}/rsync
%config(noreplace) %{_sysconfdir}/rsync.conf
%config(noreplace) %{_sysconfdir}/rsyncd.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/rsyncd
%{_mandir}/man1/rsync.*
%{_mandir}/man5/rsyncd.conf.*
/lib/systemd/system/rsyncd.socket
/lib/systemd/system/rsyncd@.service
%doc COPYING
#NEWS README TODO

%changelog
* Tue Dec 22 2015 Automatic Build System <autodist@mambasoft.it> 3.1.2-1mamba
- automatic version update by autodist

* Mon Jun 23 2014 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic version update by autodist

* Sun Sep 29 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.0-2mamba
- switch from xinet to systemd for socket activation

* Sun Sep 29 2013 Automatic Build System <autodist@mambasoft.it> 3.1.0-1mamba
- automatic version update by autodist

* Sat Sep 24 2011 Automatic Build System <autodist@mambasoft.it> 3.0.9-1mamba
- automatic version update by autodist

* Sun Mar 27 2011 Automatic Build System <autodist@mambasoft.it> 3.0.8-1mamba
- automatic update by autodist

* Fri Jan 01 2010 Automatic Build System <autodist@mambasoft.it> 3.0.7-1mamba
- automatic update to 3.0.7 by autodist

* Sat May 09 2009 Automatic Build System <autodist@mambasoft.it> 3.0.6-1mamba
- automatic update to 3.0.6 by autodist

* Mon Dec 29 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.5-1mamba
- automatic update to 3.0.5 by autodist

* Sun Sep 07 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.4-1mamba
- automatic update to 3.0.4 by autodist

* Thu Aug 21 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.3-1mamba
- update to 3.0.3

* Fri May 23 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.2-1mamba
- update to 3.0.2

* Sun Mar 02 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.0-1mamba
- update to 3.0.0

* Sat Feb 16 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.9-4mamba
- added a workaround for the lutimes() call
- added munge-symlinks security patch

* Wed Feb 13 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.9-3mamba
- added logrotate support for rsync.log

* Fri Sep 21 2007 Aleph0 <aleph0@openmamba.org> 2.6.9-2mamba
- fixed two buffer overflow (CVE-2007-4091)

* Wed Nov 08 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.9-1qilnx
- update to version 2.6.9 by autospec

* Wed May 31 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.8-2qilnx
- added an example configuration file for rsyncd

* Wed Apr 26 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.8-1qilnx
- update to version 2.6.8 by autospec

* Fri Mar 17 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.7-1qilnx
- update to version 2.6.7 by autospec

* Tue Jun 07 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.5-1qilnx
- update to version 2.6.5 by autospec

* Mon Dec 13 2004 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.3-1qilnx
- update to version 2.6.3 by autospec

* Tue Aug 17 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.2-2qilnx
- security fix for sanitize_path function

* Tue May 04 2004 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.2-1qilnx
- new version build. Security fix for CAN-2004-0426

* Sat Feb 29 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.0-1qilnx
- new version build

* Thu Feb 05 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.7-1qilnx
- first build
